Skip to navigation

Revoke user's access to products

View as Markdown

Revokes a specified user’s access to one or more products.

Required authentication scopes: user_write.

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization ID GUID
accountIdstringRequiredformat: "uuid"
The account ID GUID

Request

This endpoint expects an object: userProductPermissionProfilesRequest

product_idslist of stringsRequired

A list of IDs corresponding to the products for which the user’s access will be revoked.

For example:

["230546a7-xxxx-xxxx-xxxx-af205d5494ad", "984800b7-xxxx-xxxx-xxxx-kt374a5922lk"]

user_emailstringOptional
The user's email address.
user_idstringOptionalformat: "uuid"
The user's unique ID.

Response

OK
is_successboolean

When true, indicates that the user’s access to the specified products was successfully revoked.

user_product_resultsmap from strings to strings

The results of the request to revoke product access.

Each key in the object is the ID of a product specified in the request. Each corresponding value indicates whether the user’s access for that product was successfully revoked. If successful, the value is deleted. Otherwise, the value describes the error that occurred.

For example:

{
        "230546a7-xxxx-xxxx-xxxx-af205d5494ad"": "deleted",
        "984800b7-xxxx-xxxx-xxxx-kt374a5922lk": "Invalid product id"
}
user_emailstringOptional
The user's email address.
user_idstringOptionalformat: "uuid"
The user's ID.